---
updatedAt: 2025-05-22T20:27:01.000Z
agentTools:
  projectIndex: https://docs.klarda.com/llms.txt
---

# Get Indices Future

The Get Indices Future API allows you to easily fetch the indices future

## Definition

This endpoint retrieves futures contract data for various indices, providing insights into the anticipated future performance of these benchmarks in financial markets.

## Query Parameters

*This API currently has no query parameters. If in the future, there are demands for specific filters or parameters, we will improve and update the API accordingly.*

## Response

The response will include a JSON object containing futures contract data for indices, reflecting market expectations and sentiment toward future movements in these benchmarks.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "klarda-token-market-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.klarda.com/api/v1/market"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "query",
        "name": "api_key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/stock-market/indices": {
      "get": {
        "summary": "Get Indices Future",
        "description": "The Get Indices Future API allows you to easily fetch the indices future",
        "operationId": "get-indices-future",
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Succeed": {
                    "value": "{\n  \"success\": true,\n  \"data\": [\n    {\n      \"symbol\": \"DJI\",\n      \"change\": 0.058458450398123266,\n      \"logo_uri\": \"https://d45drlw87uq0q.cloudfront.net/ic_indices_us30.png.png\",\n      \"name\": \"Dow Jones\",\n      \"price\": 37775.38\n    }\n  ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "symbol": {
                            "type": "string",
                            "example": "DJI"
                          },
                          "change": {
                            "type": "number",
                            "example": 0.058458450398123266,
                            "default": 0
                          },
                          "logo_uri": {
                            "type": "string",
                            "example": "https://d45drlw87uq0q.cloudfront.net/ic_indices_us30.png.png"
                          },
                          "name": {
                            "type": "string",
                            "example": "Dow Jones"
                          },
                          "price": {
                            "type": "number",
                            "example": 37775.38,
                            "default": 0
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 400,\n  \"message\": \"Wrong api_key, please check!\",\n  \"error\": \"Bad Request\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 400,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Wrong api_key, please check!"
                    },
                    "error": {
                      "type": "string",
                      "example": "Bad Request"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 401,\n  \"message\": \"Unauthorized\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 401,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Unauthorized"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "500",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 500,\n  \"message\": \"Internal server error\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 500,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Internal server error"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```